#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long int n, p, t = 0, maxi1 = LONG_LONG_MIN, maxi2 = LONG_LONG_MIN, d;

    cin >> n;
    cin >> p;

    int a[n];

    for(int i = 0; i < n; ++i)
    {
        cin >> a[i];
        if(abs(p-a[i]) > maxi1 && a[i] > p)
            maxi1 = a[i] - p;
        if(abs(p-a[i]) > maxi2 && a[i] < p)
            maxi2 = p - a[i];
        if(a[i] < p)
            t = 1;
        //cout << maxi1 << endl;
        //cout << maxi2 << endl;
    }

    if(t)
    {
        if(maxi1 < maxi2)
            d = 2 * maxi1 + maxi2;
        else
            d = 2 * maxi2 + maxi1;
    }
    else
        d = maxi1;

    cout << d << endl;
    return 0;
}